Bugzilla will be upgraded to version 5.0 on a still to be determined date in the near future. The original upgrade date has been delayed.
Bug 351261 - truncated package names are not good enough
truncated package names are not good enough
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: yum (Show other bugs)
9
All Linux
low Severity low
: ---
: ---
Assigned To: James Antill
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-10-24 16:24 EDT by Andrei Gaponenko
Modified: 2014-01-21 17:59 EST (History)
5 users (show)

See Also:
Fixed In Version: yum-3.2.17
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-08-07 14:58:21 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Andrei Gaponenko 2007-10-24 16:24:03 EDT
Description of problem:

Hi,

Yum seem to always truncate package names printed on the screen, which
sometime leads to loosing valuable information.  For example,

localhost ~$  yum list available 'openafs-kmdl*'

produces 

...
openafs-kmdl-2.6.22.9-91_0.99.cubbi_tuxo 1.4.4-23.fc7           atrpms
openafs-kmdl-2.6.22.9-91_0.99.cubbi_tuxo 1.4.4-23.fc7           atrpms
openafs-kmdl-2.6.22.9-91_0.99.cubbi_tuxo 1.4.4-23.fc7           atrpms
...


Here both the version and the name are truncated, so one have no way
to learn from yum that one has to type at least 

yum install openafs-kmdl-2.6.22.9-91_1.cubbi_tuxonice.fc7

to have the package installed.  Also, one may need to get a specific
version of the package, so showing complete package version
information in a listing is also useful.

I suggest to add a yum option, something like --full-package-names,
that will make yum to print out full package names everywhere. (And
not worry about pretty formatting.)

This sounds like a feature request, but because this information loss
makes it impossible to do package management with yum in some cases, I
file this as a bug.

Regards,
Andrei

Version-Release number of selected component (if applicable):
yum-3.2.5-1.fc7.src.rpm

How reproducible: always


Steps to Reproduce:
1. Add the ATrpms repository to your yum.repos.d
2. Run "yum list available"
  
Actual results: versions and names of some packages in the listing are
truncated.  Yum man page does not suggest any command line option to obtain full
name and version strings. 


Expected results: Yum should be fully usable even for packages that have longer
names.


Additional info:
Comment 1 Seth Vidal 2008-03-12 11:09:33 EDT
Not sure we're going to be able to solve this one easily but tagging as 
YUMBUGDAY
Comment 2 James Antill 2008-03-12 11:38:12 EDT
Well "yum info" displays everything, so I'm thinking NAB ... but maybe we can
convert to a slightly more verbose format somewhat like "yum search" does.

 The canonical test case in Fedora is
php-pear-Structures-DataGrid-DataSource-DataObject (69 characters, if you incl.
the version) ... or just php-pear-Str*
Comment 3 James Antill 2008-03-13 15:01:30 EDT
 I'm going to leave this open, and I might fix it for "list" when the new
verbose/logging APIs go into upstream (post Fed-9).
 Or I might just close it NaB, after more consideration.
Comment 4 Andrei Gaponenko 2008-03-13 15:32:50 EDT
Hi James,

I did not realize I could use "yum info" instead of "yum list",
so I had to use a web browser to find out the correct package name.
"yum info" is an improvement over that, but still, it's not
convenient to use when you just need the name.
Also, other users may have the same problem of not thinking
about "info" when they _really_ want to "list".
All in all, it would be nice to fix "list" and not just close the bug.

Regards,
Andrei
Comment 5 Seth Vidal 2008-03-13 16:36:12 EDT
Additionally, if you want a list w/o any sort of truncation look at repoquery in
yum-utils.

Very handy for getting rpm -q type output from yum repos.
Comment 6 Bug Zapper 2008-05-14 10:51:07 EDT
This message is a reminder that Fedora 7 is nearing the end of life. Approximately 30 (thirty) days from now Fedora will stop maintaining and issuing updates for Fedora 7. It is Fedora's policy to close all bug reports from releases that are no longer maintained. At that time this bug will be closed as WONTFIX if it remains open with a Fedora 'version' of '7'.

Package Maintainer: If you wish for this bug to remain open because you plan to fix it in a currently maintained version, simply change the 'version' to a later Fedora version prior to Fedora 7's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that we may not be able to fix it before Fedora 7 is end of life. If you would still like to see this bug fixed and are able to reproduce it against a later version of Fedora please change the 'version' of this bug. If you are unable to change the version, please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's lifetime, sometimes those efforts are overtaken by events. Often a more recent Fedora release includes newer upstream software that fixes bugs or makes them obsolete. If possible, it is recommended that you try the newest available Fedora distribution to see if your bug still exists.

Please read the Release Notes for the newest Fedora distribution to make sure it will meet your needs:
http://docs.fedoraproject.org/release-notes/

The process we are following is described here: http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 7 James Antill 2008-05-14 11:40:24 EDT
 Moving to Fed-9, I did a fix and I'm not sure it'll go in for Fed-9 ... but it
should be there for Fed-10.
 Anyway...

Note You need to log in before you can comment on or make changes to this bug.